#### PADCHAR

#### Synopsis

    HELP:   Character to pad records to a fixed length or for suppression
    TYPE:   STRING
    SYNTAX: PADCHAR/PAD_CHAR/PAD='bin-hex'

#### Description

During the decompression procedure, the record format and size of the decompressed file can be specified explicitly, so that the record size is greater than in the original file. In this case, the records are padded to the specified length.

Parameter `PADCHAR` is used in order to pad characters at the end of an output record.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `PADCHAR=value`
    - Note: This parameter is only used when an output record has to be filled up during decompression (e.g. the original variable record has to be converted to a fix output format).
- UNIX
  - `-pad_char=hexcode`
- WINDOWS
  - `padchar=pad character`
  - `pad=pad character`
    - Note: With `padchar=xx` the character is specified with which - if necessary - the original record is padded.
      `padchar` is also used for padding the variable length field of 4 bytes when using `outrecformat=var_4b`, see parameter OUTRECFORMAT.

* Values*

- z/OS
  - X'..' a hex value X'00' - X'FF'
  - C'.' any character
- UNIX
  - Hexadecimal characters between 00 and ff.
- WINDOWS
  - Hexadecimal characters between 00 and FF.

Default

- z/OS
  - X'40'
- UNIX
  - none/no default
- WINDOWS
  - none/no default

Valid for

- decompression